Index: src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def
===================================================================
--- src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def	(revision d76d652c439e3216a6d56d8fb74dd0b915b8ca4a)
+++ src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.def	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -18,5 +18,5 @@
 #define paramtokens ("fragment-resultfile")("store-grids")("fragment-prefix")
 #define paramdescriptions ("parse fragment results from the given file")("whether to store sampled grids in homology files")("prefix of each fragment file")
-#define paramdefaults (PARAM_DEFAULT(""))(PARAM_DEFAULT("0"))(NOPARAM_DEFAULT)
+#define paramdefaults (NOPARAM_DEFAULT)(PARAM_DEFAULT("0"))(PARAM_DEFAULT("BondFragment"))
 #define paramreferences (resultsfile)(DoStoreGrids)(prefix)
 #define paramvalids \
Index: src/Actions/FragmentationAction/FragmentationAction.def
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.def	(revision d76d652c439e3216a6d56d8fb74dd0b915b8ca4a)
+++ src/Actions/FragmentationAction/FragmentationAction.def	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -21,13 +21,13 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
-#define paramtypes (std::string)(double)(unsigned int)(bool)(bool)(std::vector<std::string>)(unsigned int)(unsigned int)(bool)
+#define paramtypes (std::string)(double)(int)(bool)(bool)(std::vector<std::string>)(unsigned int)(unsigned int)(bool)
 #define paramtokens ("fragment-molecule")("distance")("order")("DoSaturate")("ExcludeHydrogen")("output-types")("grid-level")("inter-order")("DoCyclesFull")
 #define paramdescriptions ("prefix of each fragment file")("distance in space up to which fragments are combined")("order of a discretization, dissection, ...")("do saturate dangling bonds with hydrogen")("whether to exclude hydrogen in the bond graph dissection or not")("type(s) of parsers that output fragment config files")("resolution of density sampling multigrid")("up to which order distinct fragments are combined")("always calculate (aromatic) rings fully, even beyond desired order")
-#define paramdefaults (NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(true))(PARAM_DEFAULT(true))(NOPARAM_DEFAULT)(PARAM_DEFAULT(5))(PARAM_DEFAULT(0))(PARAM_DEFAULT(false))
+#define paramdefaults (PARAM_DEFAULT("BondFragment"))(PARAM_DEFAULT(3.))(PARAM_DEFAULT(3))(PARAM_DEFAULT(true))(PARAM_DEFAULT(true))(NOPARAM_DEFAULT)(PARAM_DEFAULT(5))(PARAM_DEFAULT(0))(PARAM_DEFAULT(false))
 #define paramreferences (prefix)(distance)(order)(DoSaturation)(HowtoTreatHydrogen)(types)(level)(InterOrder)(DoCyclesFull)
 #define paramvalids \
 (DummyValidator< std::string >()) \
 (BoxLengthValidator()) \
-(DummyValidator< unsigned int >()) \
+(DummyValidator< int >()) \
 (DummyValidator< bool >()) \
 (DummyValidator< bool >()) \
Index: src/Actions/FragmentationAction/MolecularDynamicsAction.def
===================================================================
--- src/Actions/FragmentationAction/MolecularDynamicsAction.def	(revision d76d652c439e3216a6d56d8fb74dd0b915b8ca4a)
+++ src/Actions/FragmentationAction/MolecularDynamicsAction.def	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -15,5 +15,5 @@
 #define paramtokens ("steps")("output-every-step")
 #define paramdescriptions ("numer of MD steps to perform")("whether World should be written after every step, useful if integration might hang")
-#define paramdefaults (NOPARAM_DEFAULT)(PARAM_DEFAULT("1"))
+#define paramdefaults (NOPARAM_DEFAULT)(PARAM_DEFAULT("0"))
 #define paramreferences (steps)(DoOutput)
 #define paramvalids \
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision d76d652c439e3216a6d56d8fb74dd0b915b8ca4a)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -20,5 +20,5 @@
 #define paramtokens ("forces-file")("deltat")("keep-fixed-CenterOfMass")
 #define paramdescriptions ("file containing")("time step width")("whether forces and velocities shall be corrected such that center of mass remains at rest")
-#define paramdefaults (PARAM_DEFAULT(""))(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)
+#define paramdefaults (PARAM_DEFAULT(""))(PARAM_DEFAULT(0.1))(PARAM_DEFAULT(true))
 #define paramreferences (forcesfile)(Deltat)(FixedCenterOfMass)
 #define paramvalids \
Index: src/Actions/PotentialAction/FitPotentialAction.def
===================================================================
--- src/Actions/PotentialAction/FitPotentialAction.def	(revision d76d652c439e3216a6d56d8fb74dd0b915b8ca4a)
+++ src/Actions/PotentialAction/FitPotentialAction.def	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -26,5 +26,5 @@
 #define paramtypes (boost::filesystem::path)(std::string)(boost::filesystem::path)(std::vector<const element *>)(std::vector<const element *>)(unsigned int)(double)
 #define paramtokens ("training-file")("potential-type")("potential-file")("potential-charges")("fragment-charges")("take-best-of")("set-threshold")
-#define paramdescriptions ("optional file to write training data to")("potential type to fit")("potential file specifying multiple potentials to fit")("charges specifying the potential")("charges specifying the fragment")("take the best among this many approximations")("Require L2 error to be smaller than threshold")
+#define paramdescriptions ("optional file to write training data to")("potential type to fit")("potential file specifying multiple potentials to fit")("charges specifying the potential")("charges specifying the fragment")("take the best among this many approximations")("Require L2 error to be smaller than threshold, overrides number of attempts")
 #define paramdefaults (PARAM_DEFAULT(""))(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(3))(PARAM_DEFAULT(1.))
 #define paramreferences (training_file)(potentialtype)(potential_file)(charges)(fragment)(best_of_howmany)(threshold)
